Free product preview (first 100 products)
Returns the first 100 products for a Shopify store. No authentication required.
GET
/free-export
Returns the first 100 products for a Shopify store. No authentication required.
Authentication
Bearer Token API Key (header: X-API-Key)
Query Parameters
domain
string
required
query
Shopify store domain
Responses
200
Product preview data
No response body
400
Missing domain parameter
502
Failed to fetch from store
curl -X GET 'https://shopsniffer.com/api/free-export?domain=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://shopsniffer.com/api/free-export?domain=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://shopsniffer.com/api/free-export?domain=string', headers=headers)print(response.json())
API Playground
Try this endpoint
GET
/free-export